Bug 771896 - (CVE-2011-3919) CVE-2011-3919 libxml2: Heap-based buffer overflow when decoding an entity reference with a long name
CVE-2011-3919 libxml2: Heap-based buffer overflow when decoding an entity ref...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120106,repo...
: Security
Depends On: 755814 771904 771906 771907 771910 771913 772122 785155 820846 833934 891477 891478
Blocks: 771915 785172 891480
  Show dependency treegraph
 
Reported: 2012-01-05 05:46 EST by Huzaifa S. Sidhpurwala
Modified: 2017-09-18 16:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: libxml2 2.8.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-18 16:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-01-05 05:46:57 EST
A heap-based buffer overflow was found in the way libxml2 decoded an entity reference with a long name. A remote attacker could provide a specially-crafted XML file, which once opened in an application linked against libxml would cause that application to crash, or, potentially, execute arbitrary code with the privileges of the user running the application.

Reference: http://googlechromereleases.blogspot.com/2012/01/stable-channel-update.html
Patch: http://git.gnome.org/browse/libxml2/commit/?id=5bd3c061823a8499b27422aee04ea20aae24f03e
Comment 6 Huzaifa S. Sidhpurwala 2012-01-05 23:23:00 EST
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 772122]
Comment 8 errata-xmlrpc 2012-01-11 12:50:06 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0017 https://rhn.redhat.com/errata/RHSA-2012-0017.html
Comment 9 errata-xmlrpc 2012-01-11 12:50:27 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0016 https://rhn.redhat.com/errata/RHSA-2012-0016.html
Comment 10 errata-xmlrpc 2012-01-11 13:00:39 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0018 https://rhn.redhat.com/errata/RHSA-2012-0018.html
Comment 11 Huzaifa S. Sidhpurwala 2012-01-12 00:59:59 EST
Created mingw32-libxml2 tracking bugs for this issue

Affects: fedora-all [bug 755814]
Comment 12 Huzaifa S. Sidhpurwala 2012-01-12 01:00:12 EST
Statement:

This issue affected the versions of libxml2 as shipped with Red Hat Enterprise Linux 4, 5 and 6 and has been addressed via RHSA-2012:0016, RHSA-2012:0017 and RHSA-2012:0018 respectively.
Comment 14 errata-xmlrpc 2012-02-08 14:47:31 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:0104 https://rhn.redhat.com/errata/RHSA-2012-0104.html
Comment 16 errata-xmlrpc 2013-01-31 14:33:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html

Note You need to log in before you can comment on or make changes to this bug.